function [out] = stred(in, s_prah, h_prah)
%pixely vstupniho obrazku s jasem < s_prah budou po transformaci mit jas 0
%pixely vstupniho obrazku s jasem > h_prah budou po transformaci mit maximalni jas
%ostatni hodnoty jsou linearne transformovany do intervalu 0..max_jas
%
%>> image_stred = stred(image, dolni, horni);


max_jas = max(in(:));
out = (in >= s_prah).*((in - s_prah).*max_jas./(h_prah - s_prah));
out = out - (in > h_prah).*(out - max_jas);
