
% images
im1=imread('im1.jpg');
im2=imread('im2.jpg');

% corresponding ground control points
ca=[ 351    32   121   205   204   186   236   280
     133   253   220   203    49   100   134   233];
    
  
cb=[536    29   171   301   324   289   360   412
   63   204   165   140    21    63    82   151];

  c1=[121 205 186 236 280
     220 203 100 134 233];
  c2=[29 171 289 360 412
     204 165 63 82 151];
  
  
% display images
imshow(im1)
hold on; 
h=plot(c1(1,:),c1(2,:),'+r');
set(h,'markersize',10,'linewidth',2);
hold off

figure
imshow(im2)
hold on; 
h=plot(c2(1,:),c2(2,:),'+r');
set(h,'markersize',10,'linewidth',2);
hold off

% compute affine transformation between corresponding 
% points, and warp im2 onto im1

[A,im]=affwarp(im1,im2,c1,c2);

figure
imshow(im); % this should be similar to im1



