function kh=kumhist(im)
% Vypocet kumulativniho histogramu pro vstupni obrazek
%
% Pro zobrazeni je vhodne pouzit nasledujici prikazy ('im' je vstupni obrazek):
% 
%>>kh=kumhist(im);
%>>figure; bar(cumsum(hist(kh(:),256)));
%

h  = hist(im(:),256);
hc = cumsum(h);
eq = 255/hc(end);
hq = floor(h*eq);
hqc= cumsum(hq);
hqc2=hqc-floor(hq/2);
kh = hqc2(im+1);
