function p = pathdef
%PATHDEF Search path defaults.
%   PATHDEF returns a string that can be used as input to MATLABPATH
%   in order to set the path.
%

%   Copyright (c) 1984-98 by The MathWorks, Inc.
%   $Revision: 1.4 $ $Date: 1998/09/14 20:34:41 $

%   This function relies on the path including
%   matlabroot/toolbox/local at startup.

% MathWorks path written using UNIX conventions.

% PATH DEFINED HERE -- Don't change this line.
p = [...
	'G:\public.www\uloha2;',...
	'g:\skola\zs\cv2;',...
	matlabroot,'\rtw\c\tornado\devices;',...
	matlabroot,'\toolbox\matlab\general;',...
	matlabroot,'\toolbox\matlab\ops;',...
	matlabroot,'\toolbox\matlab\lang;',...
	matlabroot,'\toolbox\matlab\elmat;',...
	matlabroot,'\toolbox\matlab\elfun;',...
	matlabroot,'\toolbox\matlab\specfun;',...
	matlabroot,'\toolbox\matlab\matfun;',...
	matlabroot,'\toolbox\matlab\datafun;',...
	matlabroot,'\toolbox\matlab\polyfun;',...
	matlabroot,'\toolbox\matlab\funfun;',...
	matlabroot,'\toolbox\matlab\sparfun;',...
	matlabroot,'\toolbox\matlab\graph2d;',...
	matlabroot,'\toolbox\matlab\graph3d;',...
	matlabroot,'\toolbox\matlab\specgraph;',...
	matlabroot,'\toolbox\matlab\graphics;',...
	matlabroot,'\toolbox\matlab\uitools;',...
	matlabroot,'\toolbox\matlab\strfun;',...
	matlabroot,'\toolbox\matlab\iofun;',...
	matlabroot,'\toolbox\matlab\timefun;',...
	matlabroot,'\toolbox\matlab\datatypes;',...
	matlabroot,'\toolbox\matlab\winfun;',...
	matlabroot,'\toolbox\matlab\demos;',...
	matlabroot,'\toolbox\compiler;',...
	matlabroot,'\toolbox\symbolic;',...
	matlabroot,'\toolbox\lmi\lmictrl;',...
	matlabroot,'\toolbox\lmi\lmilab;',...
	matlabroot,'\toolbox\qft\qft;',...
	matlabroot,'\toolbox\qft\qftdemos;',...
	matlabroot,'\toolbox\fixpoint;',...
	matlabroot,'\toolbox\fixpoint\fxpdemos;',...
	matlabroot,'\toolbox\fixpoint\obsolete;',...
	matlabroot,'\toolbox\dspblks\dspblks;',...
	matlabroot,'\toolbox\dspblks\dspmex;',...
	matlabroot,'\toolbox\dspblks\dspdemos;',...
	matlabroot,'\toolbox\dspblks\dspmasks;',...
	matlabroot,'\toolbox\fuzzy\fuzzy;',...
	matlabroot,'\toolbox\fuzzy\fuzdemos;',...
	matlabroot,'\toolbox\mpc\mpccmds;',...
	matlabroot,'\toolbox\mpc\mpcdemos;',...
	matlabroot,'\toolbox\stats;',...
	matlabroot,'\toolbox\ncd;',...
	matlabroot,'\toolbox\nnet\nnet;',...
	matlabroot,'\toolbox\nnet\nndemos;',...
	matlabroot,'\toolbox\nnet\nnutils;',...
	matlabroot,'\toolbox\nnet\nnobsolete;',...
	matlabroot,'\toolbox\mutools\commands;',...
	matlabroot,'\toolbox\mutools\subs;',...
	matlabroot,'\toolbox\signal\signal;',...
	matlabroot,'\toolbox\signal\siggui;',...
	matlabroot,'\toolbox\signal\sigdemos;',...
	matlabroot,'\toolbox\optim;',...
	matlabroot,'\toolbox\robust;',...
	matlabroot,'\toolbox\ident;',...
	matlabroot,'\toolbox\control;',...
	matlabroot,'\toolbox\control\ctrlguis;',...
	matlabroot,'\toolbox\control\obsolete;',...
	matlabroot,'\toolbox\rtw;',...
	matlabroot,'\toolbox\rtw\rtwdemos;',...
	matlabroot,'\toolbox\stateflow\sfdemos;',...
	matlabroot,'\toolbox\sb2sl;',...
	matlabroot,'\toolbox\stateflow\stateflow;',...
	matlabroot,'\toolbox\simulink\simulink;',...
	matlabroot,'\toolbox\simulink\blocks;',...
	matlabroot,'\toolbox\simulink\simdemos;',...
	matlabroot,'\toolbox\simulink\dee;',...
	matlabroot,'\toolbox\tour;',...
	matlabroot,'\toolbox\local;',...
	matlabroot,'\toolbox\images\images;',...
	matlabroot,'\toolbox\images\imdemos;',...
	matlabroot,'\toolbox\rt;',...
	matlabroot,'\toolbox\rt\rtblks;',...
	matlabroot,'\toolbox\polynomial',...
''];